## Parametername (parameter_name)

Ein Parametername (parameter_name) bezeichnet einen Parameter (Host-Variable) in einer Anwendung, die SQL-Anweisungen des Datenbanksystems enthält.

### Syntax

<parameter_name> ::=
:<identifier>
| ?

Der Bezeichner darf nicht länger als 32 Zeichen lang sein.

Sie können auch den Platzhalter ? als Parameternamen verwenden.

### Erläuterung

Vor den Bezeichner wird ein Doppelpunkt gesetzt.

Die Konventionen der Programmiersprache, in die die SQL-Anweisungen des Datenbanksystems eingebettet sind, bestimmen die Anzahl der signifikanten Zeichen eines Parameternamens.

Die Bezeichner für Parameternamen dürfen mit Ausnahme des ersten Zeichens die Zeichen "." und "_" enthalten.

Wenn Sie den Platzhalter ? als Parameternamen verwenden, muss in der Anwendung dafür gesorgt werden, dass vor Ausführung der SQL-Anweisung der Platzhalter durch den Parameterwert ersetzt wird.

Siehe auch:

Parameterspezifikation (parameter_spec)